$(function(){
  $('.tutorial h3, .tutorial .expand-link').click(function() {
    toggleDetail($(this).closest('li'));
  });
  $('.tutorial .selector li').click(function() {
    var $selector = $(this).parent().closest('ul.selector');
    var displayAreaId = $selector.data('display-area-id');
    var movieMetaId = $(this).data('movie-meta-id');
    toggleMovie(displayAreaId, movieMetaId);
    $selector.find('li').each(function() {
      if ($(this).data('movie-meta-id') == movieMetaId) {
        $(this).addClass('selected');
      }
      else {
        $(this).removeClass('selected');
      }
    });
  });
  var ua = navigator.userAgent;
  if (ua.indexOf('iPhone') > 0 || ua.indexOf('iPad') > 0) {
    toggleDetail($('li#ios-tutorial'));
  } else if (ua.indexOf('Android') > 0) {
    toggleDetail($('li#android-tutorial'));
  } else {
    toggleDetail($('li#pc-tutorial'));
  };
});

function toggleDetail($listItem) {
  var $detal = $listItem.find('.detail');
  var isOpened = $detal.hasClass('open');
  $detal.animate( { height: 'toggle', opacity: 'toggle' }, 'slow' );
  if (isOpened) {
    $detal.removeClass('open');
    $detal.addClass('close');
    $listItem.find('.expand-icon i').text('expand_more');
  }
  else {
    $detal.removeClass('close');
    $detal.addClass('open');
    $listItem.find('.expand-icon i').text('expand_less');
    $listItem.find('.selector li.selected').click();
  };
};

function toggleMovie(displayAreaId, movieMetaId) {
  jstream_t3.PlayerFactoryOBJ.create({
    b:"eqd060klyk.eq.webcdn.stream.ne.jp/www50/eqd060klyk/jmc_pub/jmc_swf/player/",
    c:"MzQ0NA==",
    m:movieMetaId,
    s:{
      hp:168,il:"off",sn:"",tg:"off",wp:300,rp:"fit"
    }},displayAreaId);
};
